import { Render, NodeInfo, SuperRender } from '../core/api';
export declare function HtmlBody(id: string, args: any, render: Render<HTMLElement>): NodeInfo<HTMLElement>;
export declare function RxA<O = void>(id: string, args: any, render: Render<HTMLAnchorElement, O>, superRender?: SuperRender<O, HTMLAnchorElement>, priority?: number): NodeInfo<HTMLAnchorElement, O>;
export declare function RxAbbr<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxAddress<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxArea<O = void>(id: string, args: any, render: Render<HTMLAreaElement, O>, superRender?: SuperRender<O, HTMLAreaElement>, priority?: number): NodeInfo<HTMLAreaElement, O>;
export declare function RxArticle<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxAside<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxAudio<O = void>(id: string, args: any, render: Render<HTMLAudioElement, O>, superRender?: SuperRender<O, HTMLAudioElement>, priority?: number): NodeInfo<HTMLAudioElement, O>;
export declare function RxB<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxBase<O = void>(id: string, args: any, render: Render<HTMLBaseElement, O>, superRender?: SuperRender<O, HTMLBaseElement>, priority?: number): NodeInfo<HTMLBaseElement, O>;
export declare function RxBdi<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxBdo<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxBig<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxBlockQuote<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxBody<O = void>(id: string, args: any, render: Render<HTMLBodyElement, O>, superRender?: SuperRender<O, HTMLBodyElement>, priority?: number): NodeInfo<HTMLBodyElement, O>;
export declare function RxBR<O = void>(id: string, args: any, render: Render<HTMLBRElement, O>, superRender?: SuperRender<O, HTMLBRElement>, priority?: number): NodeInfo<HTMLBRElement, O>;
export declare function RxButton<O = void>(id: string, args: any, render: Render<HTMLButtonElement, O>, superRender?: SuperRender<O, HTMLButtonElement>, priority?: number): NodeInfo<HTMLButtonElement, O>;
export declare function RxCanvas<O = void>(id: string, args: any, render: Render<HTMLCanvasElement, O>, superRender?: SuperRender<O, HTMLCanvasElement>, priority?: number): NodeInfo<HTMLCanvasElement, O>;
export declare function RxCaption<O = void>(id: string, args: any, render: Render<HTMLTableCaptionElement, O>, superRender?: SuperRender<O, HTMLTableCaptionElement>, priority?: number): NodeInfo<HTMLTableCaptionElement, O>;
export declare function RxCite<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxCode<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxCol<O = void>(id: string, args: any, render: Render<HTMLTableColElement, O>, superRender?: SuperRender<O, HTMLTableColElement>, priority?: number): NodeInfo<HTMLTableColElement, O>;
export declare function RxColGroup<O = void>(id: string, args: any, render: Render<HTMLTableColElement, O>, superRender?: SuperRender<O, HTMLTableColElement>, priority?: number): NodeInfo<HTMLTableColElement, O>;
export declare function RxData<O = void>(id: string, args: any, render: Render<HTMLDataElement, O>, superRender?: SuperRender<O, HTMLDataElement>, priority?: number): NodeInfo<HTMLDataElement, O>;
export declare function RxDataList<O = void>(id: string, args: any, render: Render<HTMLDataListElement, O>, superRender?: SuperRender<O, HTMLDataListElement>, priority?: number): NodeInfo<HTMLDataListElement, O>;
export declare function RxDD<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxDel<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxDetails<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxDfn<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxDialog<O = void>(id: string, args: any, render: Render<HTMLDialogElement, O>, superRender?: SuperRender<O, HTMLDialogElement>, priority?: number): NodeInfo<HTMLDialogElement, O>;
export declare function RxDiv<O = void>(id: string, args: any, render: Render<HTMLDivElement, O>, superRender?: SuperRender<O, HTMLDivElement>, priority?: number): NodeInfo<HTMLDivElement, O>;
export declare function RxDL<O = void>(id: string, args: any, render: Render<HTMLDListElement, O>, superRender?: SuperRender<O, HTMLDListElement>, priority?: number): NodeInfo<HTMLDListElement, O>;
export declare function RxDT<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxEM<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxEmbed<O = void>(id: string, args: any, render: Render<HTMLEmbedElement, O>, superRender?: SuperRender<O, HTMLEmbedElement>, priority?: number): NodeInfo<HTMLEmbedElement, O>;
export declare function RxFieldSet<O = void>(id: string, args: any, render: Render<HTMLFieldSetElement, O>, superRender?: SuperRender<O, HTMLFieldSetElement>, priority?: number): NodeInfo<HTMLFieldSetElement, O>;
export declare function RxFigCaption<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxFigure<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxFooter<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxForm<O = void>(id: string, args: any, render: Render<HTMLFormElement, O>, superRender?: SuperRender<O, HTMLFormElement>, priority?: number): NodeInfo<HTMLFormElement, O>;
export declare function RxH1<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, superRender?: SuperRender<O, HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement, O>;
export declare function RxH2<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, superRender?: SuperRender<O, HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement, O>;
export declare function RxH3<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, superRender?: SuperRender<O, HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement, O>;
export declare function RxH4<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, superRender?: SuperRender<O, HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement, O>;
export declare function RxH5<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, superRender?: SuperRender<O, HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement, O>;
export declare function RxH6<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, superRender?: SuperRender<O, HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement, O>;
export declare function RxHead<O = void>(id: string, args: any, render: Render<HTMLHeadElement, O>, superRender?: SuperRender<O, HTMLHeadElement>, priority?: number): NodeInfo<HTMLHeadElement, O>;
export declare function RxHeader<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxHGroup<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxHR<O = void>(id: string, args: any, render: Render<HTMLHRElement, O>, superRender?: SuperRender<O, HTMLHRElement>, priority?: number): NodeInfo<HTMLHRElement, O>;
export declare function RxHtml<O = void>(id: string, args: any, render: Render<HTMLHtmlElement, O>, superRender?: SuperRender<O, HTMLHtmlElement>, priority?: number): NodeInfo<HTMLHtmlElement, O>;
export declare function RxI<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxIFrame<O = void>(id: string, args: any, render: Render<HTMLIFrameElement, O>, superRender?: SuperRender<O, HTMLIFrameElement>, priority?: number): NodeInfo<HTMLIFrameElement, O>;
export declare function RxImg<O = void>(id: string, args: any, render: Render<HTMLImageElement, O>, superRender?: SuperRender<O, HTMLImageElement>, priority?: number): NodeInfo<HTMLImageElement, O>;
export declare function RxInput<O = void>(id: string, args: any, render: Render<HTMLInputElement, O>, superRender?: SuperRender<O, HTMLInputElement>, priority?: number): NodeInfo<HTMLInputElement, O>;
export declare function RxIns<O = void>(id: string, args: any, render: Render<HTMLModElement, O>, superRender?: SuperRender<O, HTMLModElement>, priority?: number): NodeInfo<HTMLModElement, O>;
export declare function RxKbd<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxKeygen<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxLabel<O = void>(id: string, args: any, render: Render<HTMLLabelElement, O>, superRender?: SuperRender<O, HTMLLabelElement>, priority?: number): NodeInfo<HTMLLabelElement, O>;
export declare function RxLegend<O = void>(id: string, args: any, render: Render<HTMLLegendElement, O>, superRender?: SuperRender<O, HTMLLegendElement>, priority?: number): NodeInfo<HTMLLegendElement, O>;
export declare function RxLI<O = void>(id: string, args: any, render: Render<HTMLLIElement, O>, superRender?: SuperRender<O, HTMLLIElement>, priority?: number): NodeInfo<HTMLLIElement, O>;
export declare function RxLink<O = void>(id: string, args: any, render: Render<HTMLLinkElement, O>, superRender?: SuperRender<O, HTMLLinkElement>, priority?: number): NodeInfo<HTMLLinkElement, O>;
export declare function RxMain<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxMap<O = void>(id: string, args: any, render: Render<HTMLMapElement, O>, superRender?: SuperRender<O, HTMLMapElement>, priority?: number): NodeInfo<HTMLMapElement, O>;
export declare function RxMark<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxMenu<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxMenuItem<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxMeta<O = void>(id: string, args: any, render: Render<HTMLMetaElement, O>, superRender?: SuperRender<O, HTMLMetaElement>, priority?: number): NodeInfo<HTMLMetaElement, O>;
export declare function RxMeter<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxNav<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxNoIndex<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxNoScript<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxObj<O = void>(id: string, args: any, render: Render<HTMLObjectElement, O>, superRender?: SuperRender<O, HTMLObjectElement>, priority?: number): NodeInfo<HTMLObjectElement, O>;
export declare function RxOL<O = void>(id: string, args: any, render: Render<HTMLOListElement, O>, superRender?: SuperRender<O, HTMLOListElement>, priority?: number): NodeInfo<HTMLOListElement, O>;
export declare function RxOptGroup<O = void>(id: string, args: any, render: Render<HTMLOptGroupElement, O>, superRender?: SuperRender<O, HTMLOptGroupElement>, priority?: number): NodeInfo<HTMLOptGroupElement, O>;
export declare function RxOption<O = void>(id: string, args: any, render: Render<HTMLOptionElement, O>, superRender?: SuperRender<O, HTMLOptionElement>, priority?: number): NodeInfo<HTMLOptionElement, O>;
export declare function RxOutput<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxP<O = void>(id: string, args: any, render: Render<HTMLParagraphElement, O>, superRender?: SuperRender<O, HTMLParagraphElement>, priority?: number): NodeInfo<HTMLParagraphElement, O>;
export declare function RxParam<O = void>(id: string, args: any, render: Render<HTMLParamElement, O>, superRender?: SuperRender<O, HTMLParamElement>, priority?: number): NodeInfo<HTMLParamElement, O>;
export declare function RxPicture<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxPre<O = void>(id: string, args: any, render: Render<HTMLPreElement, O>, superRender?: SuperRender<O, HTMLPreElement>, priority?: number): NodeInfo<HTMLPreElement, O>;
export declare function RxProgress<O = void>(id: string, args: any, render: Render<HTMLProgressElement, O>, superRender?: SuperRender<O, HTMLProgressElement>, priority?: number): NodeInfo<HTMLProgressElement, O>;
export declare function RxQ<O = void>(id: string, args: any, render: Render<HTMLQuoteElement, O>, superRender?: SuperRender<O, HTMLQuoteElement>, priority?: number): NodeInfo<HTMLQuoteElement, O>;
export declare function RxRP<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxRT<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxRuby<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxS<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxSamp<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxScript<O = void>(id: string, args: any, render: Render<HTMLScriptElement, O>, superRender?: SuperRender<O, HTMLScriptElement>, priority?: number): NodeInfo<HTMLScriptElement, O>;
export declare function RxSection<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxSelect<O = void>(id: string, args: any, render: Render<HTMLSelectElement, O>, superRender?: SuperRender<O, HTMLSelectElement>, priority?: number): NodeInfo<HTMLSelectElement, O>;
export declare function RxSmall<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxSource<O = void>(id: string, args: any, render: Render<HTMLSourceElement, O>, superRender?: SuperRender<O, HTMLSourceElement>, priority?: number): NodeInfo<HTMLSourceElement, O>;
export declare function RxSpan<O = void>(id: string, args: any, render: Render<HTMLSpanElement, O>, superRender?: SuperRender<O, HTMLSpanElement>, priority?: number): NodeInfo<HTMLSpanElement, O>;
export declare function RxStrong<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxStyle<O = void>(id: string, args: any, render: Render<HTMLStyleElement, O>, superRender?: SuperRender<O, HTMLStyleElement>, priority?: number): NodeInfo<HTMLStyleElement, O>;
export declare function RxSub<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxSummary<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxSup<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxTable<O = void>(id: string, args: any, render: Render<HTMLTableElement, O>, superRender?: SuperRender<O, HTMLTableElement>, priority?: number): NodeInfo<HTMLTableElement, O>;
export declare function RxTemplate<O = void>(id: string, args: any, render: Render<HTMLTemplateElement, O>, superRender?: SuperRender<O, HTMLTemplateElement>, priority?: number): NodeInfo<HTMLTemplateElement, O>;
export declare function RxTBody<O = void>(id: string, args: any, render: Render<HTMLTableSectionElement, O>, superRender?: SuperRender<O, HTMLTableSectionElement>, priority?: number): NodeInfo<HTMLTableSectionElement, O>;
export declare function RxTD<O = void>(id: string, args: any, render: Render<HTMLTableCellElement, O>, superRender?: SuperRender<O, HTMLTableCellElement>, priority?: number): NodeInfo<HTMLTableCellElement, O>;
export declare function RxTextArea<O = void>(id: string, args: any, render: Render<HTMLTextAreaElement, O>, superRender?: SuperRender<O, HTMLTextAreaElement>, priority?: number): NodeInfo<HTMLTextAreaElement, O>;
export declare function RxTFoot<O = void>(id: string, args: any, render: Render<HTMLTableSectionElement, O>, superRender?: SuperRender<O, HTMLTableSectionElement>, priority?: number): NodeInfo<HTMLTableSectionElement, O>;
export declare function RxTH<O = void>(id: string, args: any, render: Render<HTMLTableCellElement, O>, superRender?: SuperRender<O, HTMLTableCellElement>, priority?: number): NodeInfo<HTMLTableHeaderCellElement, O>;
export declare function RxTHead<O = void>(id: string, args: any, render: Render<HTMLTableSectionElement, O>, superRender?: SuperRender<O, HTMLTableSectionElement>, priority?: number): NodeInfo<HTMLTableSectionElement, O>;
export declare function RxTime<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxTitle<O = void>(id: string, args: any, render: Render<HTMLTitleElement, O>, superRender?: SuperRender<O, HTMLTitleElement>, priority?: number): NodeInfo<HTMLTitleElement, O>;
export declare function RxTR<O = void>(id: string, args: any, render: Render<HTMLTableRowElement, O>, superRender?: SuperRender<O, HTMLTableRowElement>, priority?: number): NodeInfo<HTMLTableRowElement, O>;
export declare function RxTrack<O = void>(id: string, args: any, render: Render<HTMLTrackElement, O>, superRender?: SuperRender<O, HTMLTrackElement>, priority?: number): NodeInfo<HTMLTrackElement, O>;
export declare function RxU<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxUL<O = void>(id: string, args: any, render: Render<HTMLUListElement, O>, superRender?: SuperRender<O, HTMLUListElement>, priority?: number): NodeInfo<HTMLUListElement, O>;
export declare function RxVar<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function RxVideo<O = void>(id: string, args: any, render: Render<HTMLVideoElement, O>, superRender?: SuperRender<O, HTMLVideoElement>, priority?: number): NodeInfo<HTMLVideoElement, O>;
export declare function RxWbr<O = void>(id: string, args: any, render: Render<HTMLElement, O>, superRender?: SuperRender<O, HTMLElement>, priority?: number): NodeInfo<HTMLElement, O>;
export declare function A(id: string, render?: Render<HTMLAnchorElement>, priority?: number): NodeInfo<HTMLAnchorElement>;
export declare function Abbr(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Address(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Area(id: string, render?: Render<HTMLAreaElement>, priority?: number): NodeInfo<HTMLAreaElement>;
export declare function Article(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Aside(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Audio(id: string, render?: Render<HTMLAudioElement>, priority?: number): NodeInfo<HTMLAudioElement>;
export declare function B(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Base(id: string, render?: Render<HTMLBaseElement>, priority?: number): NodeInfo<HTMLBaseElement>;
export declare function Bdi(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Bdo(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Big(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function BlockQuote(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Body(id: string, render?: Render<HTMLBodyElement>, priority?: number): NodeInfo<HTMLBodyElement>;
export declare function BR(id: string, render?: Render<HTMLBRElement>, priority?: number): NodeInfo<HTMLBRElement>;
export declare function Button(id: string, render?: Render<HTMLButtonElement>, priority?: number): NodeInfo<HTMLButtonElement>;
export declare function Canvas(id: string, render?: Render<HTMLCanvasElement>, priority?: number): NodeInfo<HTMLCanvasElement>;
export declare function Caption(id: string, render?: Render<HTMLTableCaptionElement>, priority?: number): NodeInfo<HTMLTableCaptionElement>;
export declare function Cite(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Code(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Col(id: string, render?: Render<HTMLTableColElement>, priority?: number): NodeInfo<HTMLTableColElement>;
export declare function ColGroup(id: string, render?: Render<HTMLTableColElement>, priority?: number): NodeInfo<HTMLTableColElement>;
export declare function Data(id: string, render?: Render<HTMLDataElement>, priority?: number): NodeInfo<HTMLDataElement>;
export declare function DataList(id: string, render?: Render<HTMLDataListElement>, priority?: number): NodeInfo<HTMLDataListElement>;
export declare function DD(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Del(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Details(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Dfn(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Dialog(id: string, render?: Render<HTMLDialogElement>, priority?: number): NodeInfo<HTMLDialogElement>;
export declare function Div(id: string, render?: Render<HTMLDivElement>, priority?: number): NodeInfo<HTMLDivElement>;
export declare function DL(id: string, render?: Render<HTMLDListElement>, priority?: number): NodeInfo<HTMLDListElement>;
export declare function DT(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function EM(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Embed(id: string, render?: Render<HTMLEmbedElement>, priority?: number): NodeInfo<HTMLEmbedElement>;
export declare function FieldSet(id: string, render?: Render<HTMLFieldSetElement>, priority?: number): NodeInfo<HTMLFieldSetElement>;
export declare function FigCaption(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Figure(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Footer(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Form(id: string, render?: Render<HTMLFormElement>, priority?: number): NodeInfo<HTMLFormElement>;
export declare function H1(id: string, render?: Render<HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement>;
export declare function H2(id: string, render?: Render<HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement>;
export declare function H3(id: string, render?: Render<HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement>;
export declare function H4(id: string, render?: Render<HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement>;
export declare function H5(id: string, render?: Render<HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement>;
export declare function H6(id: string, render?: Render<HTMLHeadingElement>, priority?: number): NodeInfo<HTMLHeadingElement>;
export declare function Head(id: string, render?: Render<HTMLHeadElement>, priority?: number): NodeInfo<HTMLHeadElement>;
export declare function Header(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function HGroup(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function HR(id: string, render?: Render<HTMLHRElement>, priority?: number): NodeInfo<HTMLHRElement>;
export declare function Html(id: string, render?: Render<HTMLHtmlElement>, priority?: number): NodeInfo<HTMLHtmlElement>;
export declare function I(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function IFrame(id: string, render?: Render<HTMLIFrameElement>, priority?: number): NodeInfo<HTMLIFrameElement>;
export declare function Img(id: string, render?: Render<HTMLImageElement>, priority?: number): NodeInfo<HTMLImageElement>;
export declare function Input(id: string, render?: Render<HTMLInputElement>, priority?: number): NodeInfo<HTMLInputElement>;
export declare function Ins(id: string, render?: Render<HTMLModElement>, priority?: number): NodeInfo<HTMLModElement>;
export declare function Kbd(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function KeyGen(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Label(id: string, render?: Render<HTMLLabelElement>, priority?: number): NodeInfo<HTMLLabelElement>;
export declare function Legend(id: string, render?: Render<HTMLLegendElement>, priority?: number): NodeInfo<HTMLLegendElement>;
export declare function LI(id: string, render?: Render<HTMLLIElement>, priority?: number): NodeInfo<HTMLLIElement>;
export declare function Link(id: string, render?: Render<HTMLLinkElement>, priority?: number): NodeInfo<HTMLLinkElement>;
export declare function Main(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Map(id: string, render?: Render<HTMLMapElement>, priority?: number): NodeInfo<HTMLMapElement>;
export declare function Mark(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Menu(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function MenuItem(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Meta(id: string, render?: Render<HTMLMetaElement>, priority?: number): NodeInfo<HTMLMetaElement>;
export declare function Meter(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Nav(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function NoIndex(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function NoScript(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Obj(id: string, render?: Render<HTMLObjectElement>, priority?: number): NodeInfo<HTMLObjectElement>;
export declare function OL(id: string, render?: Render<HTMLOListElement>, priority?: number): NodeInfo<HTMLOListElement>;
export declare function OptGroup(id: string, render?: Render<HTMLOptGroupElement>, priority?: number): NodeInfo<HTMLOptGroupElement>;
export declare function Option(id: string, render?: Render<HTMLOptionElement>, priority?: number): NodeInfo<HTMLOptionElement>;
export declare function Output(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function P(id: string, render?: Render<HTMLParagraphElement>, priority?: number): NodeInfo<HTMLParagraphElement>;
export declare function Param(id: string, render?: Render<HTMLParamElement>, priority?: number): NodeInfo<HTMLParamElement>;
export declare function Picture(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Pre(id: string, render?: Render<HTMLPreElement>, priority?: number): NodeInfo<HTMLPreElement>;
export declare function Progress(id: string, render?: Render<HTMLProgressElement>, priority?: number): NodeInfo<HTMLProgressElement>;
export declare function Q(id: string, render?: Render<HTMLQuoteElement>, priority?: number): NodeInfo<HTMLQuoteElement>;
export declare function RP(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function RT(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Ruby(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function S(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Samp(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Script(id: string, render?: Render<HTMLScriptElement>, priority?: number): NodeInfo<HTMLScriptElement>;
export declare function Section(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Select(id: string, render?: Render<HTMLSelectElement>, priority?: number): NodeInfo<HTMLSelectElement>;
export declare function Small(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Source(id: string, render?: Render<HTMLSourceElement>, priority?: number): NodeInfo<HTMLSourceElement>;
export declare function Span(id: string, render?: Render<HTMLSpanElement>, priority?: number): NodeInfo<HTMLSpanElement>;
export declare function Strong(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Style(id: string, render?: Render<HTMLStyleElement>, priority?: number): NodeInfo<HTMLStyleElement>;
export declare function Sub(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Summary(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Sup(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Table(id: string, render?: Render<HTMLTableElement>, priority?: number): NodeInfo<HTMLTableElement>;
export declare function Template(id: string, render?: Render<HTMLTemplateElement>, priority?: number): NodeInfo<HTMLTemplateElement>;
export declare function TBody(id: string, render?: Render<HTMLTableSectionElement>, priority?: number): NodeInfo<HTMLTableSectionElement>;
export declare function TD(id: string, render?: Render<HTMLTableDataCellElement>, priority?: number): NodeInfo<HTMLTableDataCellElement>;
export declare function TextArea(id: string, render?: Render<HTMLTextAreaElement>, priority?: number): NodeInfo<HTMLTextAreaElement>;
export declare function TFoot(id: string, render?: Render<HTMLTableSectionElement>, priority?: number): NodeInfo<HTMLTableSectionElement>;
export declare function TH(id: string, render?: Render<HTMLTableHeaderCellElement>, priority?: number): NodeInfo<HTMLTableHeaderCellElement>;
export declare function THead(id: string, render?: Render<HTMLTableSectionElement>, priority?: number): NodeInfo<HTMLTableSectionElement>;
export declare function Time(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Title(id: string, render?: Render<HTMLTitleElement>, priority?: number): NodeInfo<HTMLTitleElement>;
export declare function TR(id: string, render?: Render<HTMLTableRowElement>, priority?: number): NodeInfo<HTMLTableRowElement>;
export declare function Track(id: string, render?: Render<HTMLTrackElement>, priority?: number): NodeInfo<HTMLTrackElement>;
export declare function U(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function UL(id: string, render?: Render<HTMLUListElement>, priority?: number): NodeInfo<HTMLUListElement>;
export declare function Var(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function Video(id: string, render?: Render<HTMLVideoElement>, priority?: number): NodeInfo<HTMLVideoElement>;
export declare function Wbr(id: string, render?: Render<HTMLElement>, priority?: number): NodeInfo<HTMLElement>;
export declare function RxSvg<O = void>(id: string, args: any, render: Render<SVGSVGElement, O>, superRender?: SuperRender<O, SVGSVGElement>, priority?: number): NodeInfo<SVGSVGElement, O>;
export declare function RxSvgA<O = void>(id: string, args: any, render: Render<SVGAElement, O>, superRender?: SuperRender<O, SVGAElement>, priority?: number): NodeInfo<SVGAElement, O>;
export declare function RxAnimate<O = void>(id: string, args: any, render: Render<SVGAnimateElement, O>, superRender?: SuperRender<O, SVGAnimateElement>, priority?: number): NodeInfo<SVGAnimateElement, O>;
export declare function RxAnimateMotion<O = void>(id: string, args: any, render: Render<SVGAnimateMotionElement, O>, superRender?: SuperRender<O, SVGAnimateMotionElement>, priority?: number): NodeInfo<SVGAnimateMotionElement, O>;
export declare function RxAnimateTransform<O = void>(id: string, args: any, render: Render<SVGAnimateTransformElement, O>, superRender?: SuperRender<O, SVGAnimateTransformElement>, priority?: number): NodeInfo<SVGAnimateTransformElement, O>;
export declare function RxCircle<O = void>(id: string, args: any, render: Render<SVGCircleElement, O>, superRender?: SuperRender<O, SVGCircleElement>, priority?: number): NodeInfo<SVGCircleElement, O>;
export declare function RxClipPath<O = void>(id: string, args: any, render: Render<SVGClipPathElement, O>, superRender?: SuperRender<O, SVGClipPathElement>, priority?: number): NodeInfo<SVGClipPathElement, O>;
export declare function RxDefs<O = void>(id: string, args: any, render: Render<SVGDefsElement, O>, superRender?: SuperRender<O, SVGDefsElement>, priority?: number): NodeInfo<SVGDefsElement, O>;
export declare function RxDesc<O = void>(id: string, args: any, render: Render<SVGDescElement, O>, superRender?: SuperRender<O, SVGDescElement>, priority?: number): NodeInfo<SVGDescElement, O>;
export declare function RxEllipse<O = void>(id: string, args: any, render: Render<SVGEllipseElement, O>, superRender?: SuperRender<O, SVGEllipseElement>, priority?: number): NodeInfo<SVGEllipseElement, O>;
export declare function RxFeBlend<O = void>(id: string, args: any, render: Render<SVGFEBlendElement, O>, superRender?: SuperRender<O, SVGFEBlendElement>, priority?: number): NodeInfo<SVGFEBlendElement, O>;
export declare function RxFeColorMatrix<O = void>(id: string, args: any, render: Render<SVGFEColorMatrixElement, O>, superRender?: SuperRender<O, SVGFEColorMatrixElement>, priority?: number): NodeInfo<SVGFEColorMatrixElement, O>;
export declare function RxFeComponentTransfer<O = void>(id: string, args: any, render: Render<SVGFEComponentTransferElement, O>, superRender?: SuperRender<O, SVGFEComponentTransferElement>, priority?: number): NodeInfo<SVGFEComponentTransferElement, O>;
export declare function RxFeComposite<O = void>(id: string, args: any, render: Render<SVGFECompositeElement, O>, superRender?: SuperRender<O, SVGFECompositeElement>, priority?: number): NodeInfo<SVGFECompositeElement, O>;
export declare function RxFeConvolveMatrix<O = void>(id: string, args: any, render: Render<SVGFEConvolveMatrixElement, O>, superRender?: SuperRender<O, SVGFEConvolveMatrixElement>, priority?: number): NodeInfo<SVGFEConvolveMatrixElement, O>;
export declare function RxFeDiffuseLighting<O = void>(id: string, args: any, render: Render<SVGFEDiffuseLightingElement, O>, superRender?: SuperRender<O, SVGFEDiffuseLightingElement>, priority?: number): NodeInfo<SVGFEDiffuseLightingElement, O>;
export declare function RxFeDisplacementMap<O = void>(id: string, args: any, render: Render<SVGFEDisplacementMapElement, O>, superRender?: SuperRender<O, SVGFEDisplacementMapElement>, priority?: number): NodeInfo<SVGFEDisplacementMapElement, O>;
export declare function RxFeDistantLight<O = void>(id: string, args: any, render: Render<SVGFEDistantLightElement, O>, superRender?: SuperRender<O, SVGFEDistantLightElement>, priority?: number): NodeInfo<SVGFEDistantLightElement, O>;
export declare function RxFeDropShadow<O = void>(id: string, args: any, render: Render<SVGFEDropShadowElement, O>, superRender?: SuperRender<O, SVGFEDropShadowElement>, priority?: number): NodeInfo<SVGFEDropShadowElement, O>;
export declare function RxFeFlood<O = void>(id: string, args: any, render: Render<SVGFEFloodElement, O>, superRender?: SuperRender<O, SVGFEFloodElement>, priority?: number): NodeInfo<SVGFEFloodElement, O>;
export declare function RxFeFuncA<O = void>(id: string, args: any, render: Render<SVGFEFuncAElement, O>, superRender?: SuperRender<O, SVGFEFuncAElement>, priority?: number): NodeInfo<SVGFEFuncAElement, O>;
export declare function RxFeFuncB<O = void>(id: string, args: any, render: Render<SVGFEFuncBElement, O>, superRender?: SuperRender<O, SVGFEFuncBElement>, priority?: number): NodeInfo<SVGFEFuncBElement, O>;
export declare function RxFeFuncG<O = void>(id: string, args: any, render: Render<SVGFEFuncGElement, O>, superRender?: SuperRender<O, SVGFEFuncGElement>, priority?: number): NodeInfo<SVGFEFuncGElement, O>;
export declare function RxFeFuncR<O = void>(id: string, args: any, render: Render<SVGFEFuncRElement, O>, superRender?: SuperRender<O, SVGFEFuncRElement>, priority?: number): NodeInfo<SVGFEFuncRElement, O>;
export declare function RxFeGaussianBlur<O = void>(id: string, args: any, render: Render<SVGFEGaussianBlurElement, O>, superRender?: SuperRender<O, SVGFEGaussianBlurElement>, priority?: number): NodeInfo<SVGFEGaussianBlurElement, O>;
export declare function RxFeImage<O = void>(id: string, args: any, render: Render<SVGFEImageElement, O>, superRender?: SuperRender<O, SVGFEImageElement>, priority?: number): NodeInfo<SVGFEImageElement, O>;
export declare function RxFeMerge<O = void>(id: string, args: any, render: Render<SVGFEMergeElement, O>, superRender?: SuperRender<O, SVGFEMergeElement>, priority?: number): NodeInfo<SVGFEMergeElement, O>;
export declare function RxFeMergeNode<O = void>(id: string, args: any, render: Render<SVGFEMergeNodeElement, O>, superRender?: SuperRender<O, SVGFEMergeNodeElement>, priority?: number): NodeInfo<SVGFEMergeNodeElement, O>;
export declare function RxFeMorphology<O = void>(id: string, args: any, render: Render<SVGFEMorphologyElement, O>, superRender?: SuperRender<O, SVGFEMorphologyElement>, priority?: number): NodeInfo<SVGFEMorphologyElement, O>;
export declare function RxFeOffset<O = void>(id: string, args: any, render: Render<SVGFEOffsetElement, O>, superRender?: SuperRender<O, SVGFEOffsetElement>, priority?: number): NodeInfo<SVGFEOffsetElement, O>;
export declare function RxFePointLight<O = void>(id: string, args: any, render: Render<SVGFEPointLightElement, O>, superRender?: SuperRender<O, SVGFEPointLightElement>, priority?: number): NodeInfo<SVGFEPointLightElement, O>;
export declare function RxFeSpecularLighting<O = void>(id: string, args: any, render: Render<SVGFESpecularLightingElement, O>, superRender?: SuperRender<O, SVGFESpecularLightingElement>, priority?: number): NodeInfo<SVGFESpecularLightingElement, O>;
export declare function RxFeSpotLight<O = void>(id: string, args: any, render: Render<SVGFESpotLightElement, O>, superRender?: SuperRender<O, SVGFESpotLightElement>, priority?: number): NodeInfo<SVGFESpotLightElement, O>;
export declare function RxFeTile<O = void>(id: string, args: any, render: Render<SVGFETileElement, O>, superRender?: SuperRender<O, SVGFETileElement>, priority?: number): NodeInfo<SVGFETileElement, O>;
export declare function RxFeTurbulence<O = void>(id: string, args: any, render: Render<SVGFETurbulenceElement, O>, superRender?: SuperRender<O, SVGFETurbulenceElement>, priority?: number): NodeInfo<SVGFETurbulenceElement, O>;
export declare function RxFilter<O = void>(id: string, args: any, render: Render<SVGFilterElement, O>, superRender?: SuperRender<O, SVGFilterElement>, priority?: number): NodeInfo<SVGFilterElement, O>;
export declare function RxForeignObject<O = void>(id: string, args: any, render: Render<SVGForeignObjectElement, O>, superRender?: SuperRender<O, SVGForeignObjectElement>, priority?: number): NodeInfo<SVGForeignObjectElement, O>;
export declare function RxG<O = void>(id: string, args: any, render: Render<SVGGElement, O>, superRender?: SuperRender<O, SVGGElement>, priority?: number): NodeInfo<SVGGElement, O>;
export declare function RxSvgImage<O = void>(id: string, args: any, render: Render<SVGImageElement, O>, superRender?: SuperRender<O, SVGImageElement>, priority?: number): NodeInfo<SVGImageElement, O>;
export declare function RxLine<O = void>(id: string, args: any, render: Render<SVGLineElement, O>, superRender?: SuperRender<O, SVGLineElement>, priority?: number): NodeInfo<SVGLineElement, O>;
export declare function RxLinearGradient<O = void>(id: string, args: any, render: Render<SVGLinearGradientElement, O>, superRender?: SuperRender<O, SVGLinearGradientElement>, priority?: number): NodeInfo<SVGLinearGradientElement, O>;
export declare function RxMarker<O = void>(id: string, args: any, render: Render<SVGMarkerElement, O>, superRender?: SuperRender<O, SVGMarkerElement>, priority?: number): NodeInfo<SVGMarkerElement, O>;
export declare function RxMask<O = void>(id: string, args: any, render: Render<SVGMaskElement, O>, superRender?: SuperRender<O, SVGMaskElement>, priority?: number): NodeInfo<SVGMaskElement, O>;
export declare function RxMetadata<O = void>(id: string, args: any, render: Render<SVGMetadataElement, O>, superRender?: SuperRender<O, SVGMetadataElement>, priority?: number): NodeInfo<SVGMetadataElement, O>;
export declare function RxMPath<O = void>(id: string, args: any, render: Render<SVGElement, O>, superRender?: SuperRender<O, SVGElement>, priority?: number): NodeInfo<SVGElement, O>;
export declare function RxPath<O = void>(id: string, args: any, render: Render<SVGPathElement, O>, superRender?: SuperRender<O, SVGPathElement>, priority?: number): NodeInfo<SVGPathElement, O>;
export declare function RxPattern<O = void>(id: string, args: any, render: Render<SVGPatternElement, O>, superRender?: SuperRender<O, SVGPatternElement>, priority?: number): NodeInfo<SVGPatternElement, O>;
export declare function RxPolygon<O = void>(id: string, args: any, render: Render<SVGPolygonElement, O>, superRender?: SuperRender<O, SVGPolygonElement>, priority?: number): NodeInfo<SVGPolygonElement, O>;
export declare function RxPolyline<O = void>(id: string, args: any, render: Render<SVGPolylineElement, O>, superRender?: SuperRender<O, SVGPolylineElement>, priority?: number): NodeInfo<SVGPolylineElement, O>;
export declare function RxRadialGradient<O = void>(id: string, args: any, render: Render<SVGRadialGradientElement, O>, superRender?: SuperRender<O, SVGRadialGradientElement>, priority?: number): NodeInfo<SVGRadialGradientElement, O>;
export declare function RxRect<O = void>(id: string, args: any, render: Render<SVGRectElement, O>, superRender?: SuperRender<O, SVGRectElement>, priority?: number): NodeInfo<SVGRectElement, O>;
export declare function RxStop<O = void>(id: string, args: any, render: Render<SVGStopElement, O>, superRender?: SuperRender<O, SVGStopElement>, priority?: number): NodeInfo<SVGStopElement, O>;
export declare function RxSvgSwitch<O = void>(id: string, args: any, render: Render<SVGSwitchElement, O>, superRender?: SuperRender<O, SVGSwitchElement>, priority?: number): NodeInfo<SVGSwitchElement, O>;
export declare function RxSymbol<O = void>(id: string, args: any, render: Render<SVGSymbolElement, O>, superRender?: SuperRender<O, SVGSymbolElement>, priority?: number): NodeInfo<SVGSymbolElement, O>;
export declare function RxText<O = void>(id: string, args: any, render: Render<SVGTextElement, O>, superRender?: SuperRender<O, SVGTextElement>, priority?: number): NodeInfo<SVGTextElement, O>;
export declare function RxTextPath<O = void>(id: string, args: any, render: Render<SVGTextPathElement, O>, superRender?: SuperRender<O, SVGTextPathElement>, priority?: number): NodeInfo<SVGTextPathElement, O>;
export declare function RxTSpan<O = void>(id: string, args: any, render: Render<SVGTSpanElement, O>, superRender?: SuperRender<O, SVGTSpanElement>, priority?: number): NodeInfo<SVGTSpanElement, O>;
export declare function RxUse<O = void>(id: string, args: any, render: Render<SVGUseElement, O>, superRender?: SuperRender<O, SVGUseElement>, priority?: number): NodeInfo<SVGUseElement, O>;
export declare function RxView<O = void>(id: string, args: any, render: Render<SVGViewElement, O>, superRender?: SuperRender<O, SVGViewElement>, priority?: number): NodeInfo<SVGViewElement, O>;
export declare function Svg(id: string, render?: Render<SVGSVGElement>, priority?: number): NodeInfo<SVGSVGElement>;
export declare function SvgA(id: string, render?: Render<SVGAElement>, priority?: number): NodeInfo<SVGAElement>;
export declare function Animate(id: string, render?: Render<SVGAnimateElement>, priority?: number): NodeInfo<SVGAnimateElement>;
export declare function AnimateMotion(id: string, render?: Render<SVGAnimateMotionElement>, priority?: number): NodeInfo<SVGAnimateMotionElement>;
export declare function AnimateTransform(id: string, render?: Render<SVGAnimateTransformElement>, priority?: number): NodeInfo<SVGAnimateTransformElement>;
export declare function Circle(id: string, render?: Render<SVGCircleElement>, priority?: number): NodeInfo<SVGCircleElement>;
export declare function ClipPath(id: string, render?: Render<SVGClipPathElement>, priority?: number): NodeInfo<SVGClipPathElement>;
export declare function Defs(id: string, render?: Render<SVGDefsElement>, priority?: number): NodeInfo<SVGDefsElement>;
export declare function Desc(id: string, render?: Render<SVGDescElement>, priority?: number): NodeInfo<SVGDescElement>;
export declare function Ellipse(id: string, render?: Render<SVGEllipseElement>, priority?: number): NodeInfo<SVGEllipseElement>;
export declare function FeBlend(id: string, render?: Render<SVGFEBlendElement>, priority?: number): NodeInfo<SVGFEBlendElement>;
export declare function FeColorMatrix(id: string, render?: Render<SVGFEColorMatrixElement>, priority?: number): NodeInfo<SVGFEColorMatrixElement>;
export declare function FeComponentTransfer(id: string, render?: Render<SVGFEComponentTransferElement>, priority?: number): NodeInfo<SVGFEComponentTransferElement>;
export declare function FeComposite(id: string, render?: Render<SVGFECompositeElement>, priority?: number): NodeInfo<SVGFECompositeElement>;
export declare function FeConvolveMatrix(id: string, render?: Render<SVGFEConvolveMatrixElement>, priority?: number): NodeInfo<SVGFEConvolveMatrixElement>;
export declare function FeDiffuseLighting(id: string, render?: Render<SVGFEDiffuseLightingElement>, priority?: number): NodeInfo<SVGFEDiffuseLightingElement>;
export declare function FeDisplacementMap(id: string, render?: Render<SVGFEDisplacementMapElement>, priority?: number): NodeInfo<SVGFEDisplacementMapElement>;
export declare function FeDistantLight(id: string, render?: Render<SVGFEDistantLightElement>, priority?: number): NodeInfo<SVGFEDistantLightElement>;
export declare function FeDropShadow(id: string, render?: Render<SVGFEDropShadowElement>, priority?: number): NodeInfo<SVGFEDropShadowElement>;
export declare function FeFlood(id: string, render?: Render<SVGFEFloodElement>, priority?: number): NodeInfo<SVGFEFloodElement>;
export declare function FeFuncA(id: string, render?: Render<SVGFEFuncAElement>, priority?: number): NodeInfo<SVGFEFuncAElement>;
export declare function FeFuncB(id: string, render?: Render<SVGFEFuncBElement>, priority?: number): NodeInfo<SVGFEFuncBElement>;
export declare function FeFuncG(id: string, render?: Render<SVGFEFuncGElement>, priority?: number): NodeInfo<SVGFEFuncGElement>;
export declare function FeFuncR(id: string, render?: Render<SVGFEFuncRElement>, priority?: number): NodeInfo<SVGFEFuncRElement>;
export declare function FeGaussianBlur(id: string, render?: Render<SVGFEGaussianBlurElement>, priority?: number): NodeInfo<SVGFEGaussianBlurElement>;
export declare function FeImage(id: string, render?: Render<SVGFEImageElement>, priority?: number): NodeInfo<SVGFEImageElement>;
export declare function FeMerge(id: string, render?: Render<SVGFEMergeElement>, priority?: number): NodeInfo<SVGFEMergeElement>;
export declare function FeMergeNode(id: string, render?: Render<SVGFEMergeNodeElement>, priority?: number): NodeInfo<SVGFEMergeNodeElement>;
export declare function FeMorphology(id: string, render?: Render<SVGFEMorphologyElement>, priority?: number): NodeInfo<SVGFEMorphologyElement>;
export declare function FeOffset(id: string, render?: Render<SVGFEOffsetElement>, priority?: number): NodeInfo<SVGFEOffsetElement>;
export declare function FePointLight(id: string, render?: Render<SVGFEPointLightElement>, priority?: number): NodeInfo<SVGFEPointLightElement>;
export declare function FeSpecularLighting(id: string, render?: Render<SVGFESpecularLightingElement>, priority?: number): NodeInfo<SVGFESpecularLightingElement>;
export declare function FeSpotLight(id: string, render?: Render<SVGFESpotLightElement>, priority?: number): NodeInfo<SVGFESpotLightElement>;
export declare function FeTile(id: string, render?: Render<SVGFETileElement>, priority?: number): NodeInfo<SVGFETileElement>;
export declare function FeTurbulence(id: string, render?: Render<SVGFETurbulenceElement>, priority?: number): NodeInfo<SVGFETurbulenceElement>;
export declare function Filter(id: string, render?: Render<SVGFilterElement>, priority?: number): NodeInfo<SVGFilterElement>;
export declare function ForeignObject(id: string, render?: Render<SVGForeignObjectElement>, priority?: number): NodeInfo<SVGForeignObjectElement>;
export declare function G(id: string, render?: Render<SVGGElement>, priority?: number): NodeInfo<SVGGElement>;
export declare function SvgImage(id: string, render?: Render<SVGImageElement>, priority?: number): NodeInfo<SVGImageElement>;
export declare function Line(id: string, render?: Render<SVGLineElement>, priority?: number): NodeInfo<SVGLineElement>;
export declare function LinearGradient(id: string, render?: Render<SVGLinearGradientElement>, priority?: number): NodeInfo<SVGLinearGradientElement>;
export declare function Marker(id: string, render?: Render<SVGMarkerElement>, priority?: number): NodeInfo<SVGMarkerElement>;
export declare function Mask(id: string, render?: Render<SVGMaskElement>, priority?: number): NodeInfo<SVGMaskElement>;
export declare function MetaData(id: string, render?: Render<SVGMetadataElement>, priority?: number): NodeInfo<SVGMetadataElement>;
export declare function MPath(id: string, render?: Render<SVGElement>, priority?: number): NodeInfo<SVGElement>;
export declare function Path(id: string, render?: Render<SVGPathElement>, priority?: number): NodeInfo<SVGPathElement>;
export declare function Pattern(id: string, render?: Render<SVGPatternElement>, priority?: number): NodeInfo<SVGPatternElement>;
export declare function Polygon(id: string, render?: Render<SVGPolygonElement>, priority?: number): NodeInfo<SVGPolygonElement>;
export declare function PolyLine(id: string, render?: Render<SVGPolylineElement>, priority?: number): NodeInfo<SVGPolylineElement>;
export declare function RadialGradient(id: string, render?: Render<SVGRadialGradientElement>, priority?: number): NodeInfo<SVGRadialGradientElement>;
export declare function Rect(id: string, render?: Render<SVGRectElement>, priority?: number): NodeInfo<SVGRectElement>;
export declare function Stop(id: string, render?: Render<SVGStopElement>, priority?: number): NodeInfo<SVGStopElement>;
export declare function SvgSwitch(id: string, render?: Render<SVGSwitchElement>, priority?: number): NodeInfo<SVGSwitchElement>;
export declare function Symbol(id: string, render?: Render<SVGSymbolElement>, priority?: number): NodeInfo<SVGSymbolElement>;
export declare function Text(id: string, render?: Render<SVGTextElement>, priority?: number): NodeInfo<SVGTextElement>;
export declare function TextPath(id: string, render?: Render<SVGTextPathElement>, priority?: number): NodeInfo<SVGTextPathElement>;
export declare function TSpan(id: string, render?: Render<SVGTSpanElement>, priority?: number): NodeInfo<SVGTSpanElement>;
export declare function Use(id: string, render?: Render<SVGUseElement>, priority?: number): NodeInfo<SVGUseElement>;
export declare function View(id: string, render?: Render<SVGViewElement>, priority?: number): NodeInfo<SVGViewElement>;
