import { HtmlElementSensor } from './HtmlElementSensor';
import { KeyboardModifiers } from './KeyboardSensor';
import { WindowSensor } from './WindowSensor';
export declare enum PointerButton {
    None = 0,
    Left = 1,
    Right = 2,
    Middle = 4
}
export declare class BasePointerSensor extends HtmlElementSensor {
    positionX: number;
    positionY: number;
    modifiers: KeyboardModifiers;
    constructor(window?: WindowSensor);
}
export declare function extractPointerButton(e: MouseEvent): PointerButton;
export declare function isPointerButtonDown(button: PointerButton, buttonsMask: number): boolean;
