import { FocusSensor } from './FocusSensor';
import { HoverSensor } from './HoverSensor';
import { HtmlDragSensor } from './HtmlDragSensor';
import { KeyboardSensor } from './KeyboardSensor';
import { ButtonSensor } from './ButtonSensor';
import { ResizeSensor } from './ResizeSensor';
import { WheelSensor } from './WheelSensor';
import { WindowSensor } from './WindowSensor';
import { PointerSensor } from './PointerSensor';
export declare class HtmlSensors {
    readonly window: WindowSensor;
    readonly focus: FocusSensor;
    readonly hover: HoverSensor;
    readonly keyboard: KeyboardSensor;
    readonly wheel: WheelSensor;
    readonly resize: ResizeSensor;
    readonly htmlDrag: HtmlDragSensor;
    readonly button: ButtonSensor;
    readonly pointer: PointerSensor;
    constructor();
    listen(element: HTMLElement | undefined, enabled?: boolean): void;
}
