export interface DataForSensor {
    window?: unknown;
    focus?: unknown;
    hover?: unknown;
    keyboard?: unknown;
    click?: unknown;
    wheel?: unknown;
    resize?: unknown;
    drag?: unknown;
    draggable?: unknown;
    htmlDrag?: unknown;
    htmlDraggable?: unknown;
    button?: unknown;
}
export declare const SymDataForSensor: unique symbol;
export declare const EmptyDataArray: any[];
export declare function grabElementData(targetPath: any[], sym: symbol, payloadKey: keyof DataForSensor, existing: Array<unknown>): {
    data: Array<unknown>;
    window: unknown;
};
export declare function findTargetElementData(targetPath: any[], underPointer: any[], sym: symbol, anyOfPayloadKeys: Array<keyof DataForSensor>): {
    data?: DataForSensor;
    window: unknown;
};
