"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlElementSensor = void 0;
const reactronic_1 = require("reactronic");
const Sensor_1 = require("./Sensor");
const WindowSensor_1 = require("./WindowSensor");
class HtmlElementSensor extends Sensor_1.Sensor {
    constructor(windowSensor) {
        super();
        this.sourceElement = undefined;
        this.windowSensor = windowSensor;
        this.preventDefault = false;
        this.stopPropagation = false;
    }
    setPreventDefaultAndStopPropagation(e) {
        if (this.preventDefault) {
            e.preventDefault();
            this.preventDefault = false;
        }
        if (this.stopPropagation) {
            e.stopPropagation();
            this.stopPropagation = false;
        }
    }
}
__decorate([
    reactronic_1.unobservable,
    __metadata("design:type", WindowSensor_1.WindowSensor)
], HtmlElementSensor.prototype, "windowSensor", void 0);
__decorate([
    reactronic_1.unobservable,
    __metadata("design:type", Boolean)
], HtmlElementSensor.prototype, "preventDefault", void 0);
__decorate([
    reactronic_1.unobservable,
    __metadata("design:type", Boolean)
], HtmlElementSensor.prototype, "stopPropagation", void 0);
exports.HtmlElementSensor = HtmlElementSensor;
