import { Sensor } from './Sensor';
export interface ResizedElement {
    readonly borderBoxSize: ReadonlyArray<ResizeObserverSize>;
    readonly contentBoxSize: ReadonlyArray<ResizeObserverSize>;
    readonly contentRect: DOMRectReadOnly;
    readonly resizeData: any;
}
export declare class ResizeSensor extends Sensor {
    private readonly observer;
    resizedElements: Array<ResizedElement>;
    constructor();
    reset(): void;
    observeResizeOfRenderingElement(value: boolean): void;
    protected onResize(entries: Array<ResizeObserverEntry>): void;
    protected resize(entries: Array<ResizeObserverEntry>): void;
    protected doReset(): void;
}
